Apple Mac OS X International Components for Unicode security bypass

macos-icu-security-bypass (50488) The risk level is classified as MediumMedium Risk

Description:

Apple Mac OS X could allow a remote attacker to bypass security restrictions, caused by an error in the International Components for Unicode implementation when handing certain character encodings. ICU converts invalid byte sequences to Unicode which may result in over-consumption, where trailing bytes are considered part of the original character. An attacker could exploit this vulnerability to bypass filters which could be leveraged to possibly launch cross-site scripting attacks.

*CVSS:

Base Score: 5
  Access Vector: Network
  Access Complexity: Low
  Authentication: None
  Confidentiality Impact: None
  Integrity Impact: Partial
  Availability Impact: None
 
Temporal Score: 3.7
  Exploitability: Unproven
  Remediation Level: Official-Fix
  Report Confidence: Confirmed

Consequences:

Bypass Security

Remedy:

Apply Apple Security Update 2009-002, available from the Apple Web site. See References.

For other distributions:
Apply the appropriate update for your system. See References.

References:

  • Apple Web site: About the security content of Safari 4.0.
  • Apple Web site: About the security content of Security Update 2009-002 / Mac OS X v10.5.7.
  • ASA-2009-254: icu security update (RHSA-2009-1122)
  • BID-34926: RETIRED: Apple Mac OS X 2009-002 Multiple Security Vulnerabilities
  • BID-34974: International Components for Unicode Invalid Byte Sequence Handling Vulnerability
  • CVE-2009-0153: International Components for Unicode (ICU) 4.0, 3.6, and other 3.x versions, as used in Apple Mac OS X 10.5 before 10.5.7, iPhone OS 1.0 through 2.2.1, iPhone OS for iPod touch 1.1 through 2.2.1, Fedora 9 and 10, and possibly other operating systems, does not properly handle invalid byte sequences during Unicode conversion, which might allow remote attackers to conduct cross-site scripting (XSS) attacks.
  • DSA-1889: icu -- programming error
  • OSVDB ID: 54447: Apple Mac OS X International Components for Unicode (ICU) Conversion XSS
  • RHSA-2009-1122: Moderate: icu security update
  • SA35074: Apple Mac OS X Security Update Fixes Multiple Vulnerabilities
  • SA35379: Apple Safari Multiple Vulnerabilities
  • SA35436: International Components for Unicode Conversion Error Security Bypass
  • SUSE-SR:2009:014: SUSE Security Summary Report
  • USN-846-1: ICU vulnerability

Platforms Affected:

  • Apple Mac OS X 10.5
  • Apple Mac OS X 10.5.1
  • Apple Mac OS X 10.5.2
  • Apple Mac OS X 10.5.3
  • Apple Mac OS X 10.5.4
  • Apple Mac OS X 10.5.5
  • Apple Mac OS X 10.5.6
  • Apple Mac OS X Server 10.5
  • Apple Mac OS X Server 10.5.1
  • Apple Mac OS X Server 10.5.2
  • Apple Mac OS X Server 10.5.3
  • Apple Mac OS X Server 10.5.4
  • Apple Mac OS X Server 10.5.5
  • Apple Mac OS X Server 10.5.6
  • Apple Safari 0.8
  • Apple Safari 0.9
  • Apple Safari 1.0
  • Apple Safari 1.0.3
  • Apple Safari 1.1
  • Apple Safari 1.2
  • Apple Safari 1.3
  • Apple Safari 1.3.1
  • Apple Safari 1.3.2
  • Apple Safari 2.0
  • Apple Safari 2.0.2
  • Apple Safari 2.0.4
  • Apple Safari 3.0
  • Apple Safari 3.0.1
  • Apple Safari 3.0.2 Mac
  • Apple Safari 3.0.2
  • Apple Safari 3.0.3
  • Apple Safari 3.0.4
  • Apple Safari 3.1
  • Apple Safari 3.1.1
  • Apple Safari 3.1.2
  • Apple Safari 3.2
  • Apple Safari 3.2.1
  • Apple Safari 3.2.2
  • Apple Safari 3.2.3
  • Apple Safari 4.0 Beta
  • Canonical Ubuntu 8.04 LTS
  • Canonical Ubuntu 8.10
  • Debian Debian Linux 4.0
  • Debian Debian Linux 5.0
  • RedHat Enterprise Linux 5 Client Workstation
  • RedHat Enterprise Linux 5
  • RedHat Enterprise Linux 5 Client
  • RedHat Enterprise Linux 5.3.z EUS
  • RedHat Enterprise Linux Long Life 5.3

Reported:

May 12, 2009

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page

* According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall IBM be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

About IBM Internet Security Systems

IBM Internet Security Systems is a trusted security advisor to thousands of the world's leading businesses and governments, helping to provide pre-emptive protection for networks, desktops and servers. The IBM Proventia? integrated security platform is designed to automatically protect against both known and unknown threats, helping to keep networks up and running and shield customers from online attacks before they impact business assets. IBM Internet Security Systems products and services are based on the proactive security intelligence of its X-Force? research and development team ? an unequivocal world authority in vulnerability and threat research. The IBM Internet Security Systems product line is also complemented by comprehensive Managed Security Services and Professional Security Services. For more information, visit the IBM Internet Security Systems Web site at www.iss.net or call 800-776-2362.